using UnityEngine;

public class EntitySounds : MonoBehaviour
{
    public AudioSource footstepSource;
    public AudioSource punchSource;
    
    public void PlayStep()
    {
        // Randomize pitch slightly for variety
        footstepSource.pitch = Random.Range(0.9f, 1.1f);
        
        footstepSource.Play();
    }

    public void PlayPunch()
    {
        punchSource.pitch = Random.Range(0.9f, 1.1f);
        punchSource.Play();
    }
}
